Skip Menu |
 

This queue is for tickets about the Carp CPAN distribution.

Report information
The Basics
Id: 88531
Status: resolved
Priority: 0/
Queue: Carp

People
Owner: Nobody in particular
Requestors: ether [...] cpan.org
ribasushi [...] leporine.io
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.32
Fixed in: (no value)



Subject: Test::More dependency undeclared
Download (untitled) / with headers
text/plain 338b
As per #p5p <ribasushi> Test::More version 0.98 required--this is only version 0.94 at t/Carp_overload.t line 3. <ribasushi> Carp.pm does not declare proper deps :( It doesn't seem that the 0.98 is warranted either - if the dep is dropped back to 0.94 installation of Carp will stop triggering an (expensive) Test::More upgrade. Cheers
Download (untitled) / with headers
text/plain 197b
On 2013-10-31 10:28:58, ETHER wrote: Show quoted text
5.19.6 is now out, so this change should now be synced back to the cpan version.
The cpan release needs to be synchronized with blead!
Dependency removed in Carp-1.33, now on CPAN.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.